curl --request POST \
--url https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com"
]
}
'import requests
url = "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check"
payload = { "domains": ["example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['example.com']})
};
fetch('https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"example.com\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/dfy-email-account-orders/domains/check"
payload := strings.NewReader("{\n \"domains\": [\n \"example.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"domain": "example.com",
"available": true,
"unavailable_reason": "restricted",
"restricted_keyword": "equifax"
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Check domains availability
This endpoint will check the availability of the provided domains.. It will return a list of domains with their availability status.
. The only supported extensions (tlds) are: .com, .org.
. Domains containing trademarks of well-known companies are restricted and cannot be ordered.
. Please do not abuse this endpoint and do not use it for anything other than checking availability before ordering a domain.. This request has a rate limit of 30 request per minute, or 900 requests per hour.
Requires one of the following scopes: dfy_email_account_orders:create, dfy_email_account_orders:all, all:create, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
List of domains to check
50Response
Default Response
List of domains with their availability status
Show child attributes
Show child attributes